import axios from "@/tools/axios.js";
//登录
export const Login =   (data) =>  {
    	return 	axios({url:import.meta.env.VITE_APP_API+'admin/login',data:data})
}
//admin后台获取当前用户菜单
export const GetAdminBaseMenuList =   (data={}) =>  {
    	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/getBaseMenuList',data:data})
}
//Token刷新
export const TokenRefresh =   (data={}) =>  {
    	return 	axios({url:import.meta.env.VITE_APP_API+'tokenRefresh',data:data})
}
//获取admin后台用户list
export const getAdminUserList =   (data={}) =>  {
    	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/getUserList',data:data})
}
//admin后台获取所有菜单列表
export const GetAdminMenuList =   (data={}) =>  {
    	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/getMenuList',data:data})
}
//admin后台获取一级菜单
export const GetFatherMenuList =   (data={}) =>  {
    	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/GetFatherMenuList',data:data})
}
//admin后台添加菜单
export const AddMenu =   (data={}) =>  {
    	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/AddMenu',data:data})
}
//admin后台编辑菜单
export const EditMenu =   (data={}) =>  {
    	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/EditMenu',data:data})
}
//admin后台组列表
export const getGroupList =   (data={}) =>  {
    	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/getGroupList',data:data})
}
//admin后台修改组菜单
export const GroupChangeMenu =   (data={}) =>  {
    	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/GroupChangeMenu',data:data})
}
//admin后台添加组
export const SaveGroup =   (data={}) =>  {
    	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/SaveGroup',data:data})
}
//admin后台保存用户信息
export const SaveSystemUserInfo =   (data={}) =>  {
    	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/SaveSystemUserInfo',data:data})
}
//admin后台获取用户详细信息
export const GetSystemUserDetail =   (data={}) =>  {
    	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/GetSystemUserDetail',data:data})
}
//admin后台修改密码
export const adminChangePwd =   (data={}) =>  {
    	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/adminChangePwd',data:data})
}
//admin后台获取登录用户基本信息
export const GetBaseAdminUserInfo =   (data={}) =>  {
    	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/GetBaseUserInfo',data:data})
}
//admin后台管理员查询分组使用的菜单
export const AdminGetGroupMenuList =   (data={}) =>  {
    	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/GetGroupMenuList',data:data})
}

//admin后台创建体检日历
export const CreateCalendar =   (data={}) =>  {
    	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/CreateCalendar',data:data})
}
//admin后台获取日历列表
export const CalendarGetList =   (data={}) =>  {
    	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/CalendarGetList',data:data})
}
//admin后台删除日历列表
export const CalendarDel =   (data={}) =>  {
    	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/CalendarListDel',data:data})
}
//admin后台更新日历
export const CalendarChangeInfo =   (data={}) =>  {
    	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/CalendarChangeInfo',data:data})
}
//admin后台更新日历
export const CheckMenuAuth =   (data={}) =>  {
	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/CheckMenuAuth',data:data})
}
//上传图片
// export const UpFile =   (data={}) =>  {
// 	return 	axios({url:import.meta.env.VITE_APP_API+'v1/UpFile',data:data})
// }
export const UpFileUrl=   () =>  {
	return 	import.meta.env.VITE_APP_API+'v1/UpFile'
}

//admin后台修改自身用户信息
export const ChangInfo =   (data={}) =>  {
	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/ChangInfo',data:data})
}
//获取站点后台配置信息
export const GetConfigInfo =   (data={}) =>  {
	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/GetConfigInfo',data:data})
}
//保存后台配置信息
export const SaveConfigInfo =   (data={}) =>  {
	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/SaveConfigInfo',data:data})
}
//获取日志列表
export const SystemLogGetList =   (data={}) =>  {
	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/SystemLogGetList',data:data})
}
//获取日志表名
export const GetLogTableName =   (data={}) =>  {
	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/GetLogTableName',data:data})
}

//保存站点机构信息
export const WebSiteSave =   (data={}) =>  {
	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/WebSiteSave',data:data})
}
//获取站点机构列表
export const WebSiteGetList =   (data={}) =>  {
	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/WebSiteGetList',data:data})
}
//获取站点机构详情
export const WebSiteGetDetail =   (data={}) =>  {
	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/WebSiteGetDetail',data:data})
}
//保存医院信息
export const HospitalSave =   (data={}) =>  {
	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/HospitalSave',data:data})
}
//获取医院列表
export const HospitalGetList =   (data={}) =>  {
	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/HospitalGetList',data:data})
}
//获取医院基本信息
export const GetBaseInfoDetail =   (data={}) =>  {
	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/GetBaseInfoDetail',data:data})
}

//更新缓存
export const UpdateCombo =   (data={}) =>  {
	return 	axios({url:import.meta.env.VITE_APP_API+'admin/UpdateCombo',data:data})
}
//更新缓存
export const SaveCacheInfo =   (data={}) =>  {
	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/SaveCacheInfo',data:data})
}
//获取套餐列表
export const ComboGetList =   (data={}) =>  {
	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/ComboGetList',data:data})
}
//获取套餐详情
export const ComboGetDetail =   (data={}) =>  {
	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/ComboGetDetail',data:data})
}
//保存套餐详情
export const ComboSave =   (data={}) =>  {
	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/ComboSave',data:data})
}
//保存轮播
export const WebMngrSaveLunBo =   (data={}) =>  {
	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/WebMngrSaveLunBo',data:data})
}
//获取轮播
export const GetAllConfigs =   (data={}) =>  {
	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/GetAllConfigs',data:data})
}
//保存网站配置信息
export const SaveWebConfig =   (data={}) =>  {
	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/SaveWebConfig',data:data})
}
//获取网站导航菜单列表
export const NavGetList =   (data={}) =>  {
	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/NavGetList',data:data})
}
//保存网站导航菜单
export const NavSave =   (data={}) =>  {
	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/NavSave',data:data})
}
//删除网站导航
export const NavDel =   (data={}) =>  {
	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/NavDel',data:data})
}
//获取合作单位列表
export const LinkUnitsGetList =   (data={}) =>  {
	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/LinkUnitsGetList',data:data})
}
//保存合作单位信息
export const LinkUnitsSave =   (data={}) =>  {
	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/LinkUnitsSave',data:data})
}
//删除合作单位信息
export const LinkUnitsDel =   (data={}) =>  {
	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/LinkUnitsDel',data:data})
}
